# __gnu_cxx::malloc_allocator< Type > Class Template Reference

An allocator that uses malloc. More...

`#include <malloc_allocator.h>`

List of all members.

## Detailed Description

### template<typename Type>
class __gnu_cxx::malloc_allocator< Type >

An allocator that uses malloc.

This is precisely the allocator defined in the C++ Standard.

- all allocation calls malloc
- all deallocation calls free

(See allocators info for more.)

Definition at line 47 of file malloc_allocator.h.

The documentation for this class was generated from the following file:

- malloc_allocator.h